spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Attributes | List of all members
hoayy::parser::semantic_type Union Reference

Symbol semantic values. More...

`#include <spot/parseaut/parseaut.hh>`

Collaboration diagram for hoayy::parser::semantic_type:

## Public Attributes
std::string * | str
unsigned int | num
int | b
spot::acc_cond::mark_t | mark
pair * | p
std::list< pair > * | list
spot::acc_cond::acc_code * | code
std::vector< unsigned > * | states

## Detailed Description

Symbol semantic values.

The documentation for this union was generated from the following file:

- spot/parseaut/parseaut.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.